EarthAnchorPoint not set in Rhino 8.8

Hello :wave:,

In Rhino 8.8 it appears that the EarthAnchorPoint command does not remember the Lat, Long, Elevation data when set and then queried.

Is this happening to anyone else?

Hi Bob -

That appears to be working fine here.
-wim

Sorry, I didn’t add any context to this. :man_facepalming: I’m trying to set it via RhinoCommon API using python3:

#! python3

import Rhino
import scriptcontext as sc

origin = Rhino.Geometry.Point3d(0.0,0.0,0.0)
north = Rhino.Geometry.Plane.WorldXY.YAxis
east = Rhino.Geometry.Plane.WorldXY.XAxis

sc.doc.EarthAnchorPoint.EarthBasepointLatitude = 47.65111166930954
sc.doc.EarthAnchorPoint.EarthBasepointLongitude = -122.35530803623594
sc.doc.EarthAnchorPoint.ModelBasepoint = origin
sc.doc.EarthAnchorPoint.ModelNorth = north
sc.doc.EarthAnchorPoint.ModelEast = east
earthpoint = sc.doc.EarthAnchorPoint

Hi Bob - try

import Rhino
import scriptcontext as sc

origin = Rhino.Geometry.Point3d(0.0,0.0,0.0)
north = Rhino.Geometry.Plane.WorldXY.YAxis
east = Rhino.Geometry.Plane.WorldXY.XAxis
earthpoint = sc.doc.EarthAnchorPoint

earthpoint.EarthBasepointLatitude = 47.65111166930954
earthpoint.EarthBasepointLongitude = -122.35530803623594
earthpoint.ModelBasepoint = origin
earthpoint.ModelNorth = north
earthpoint.ModelEast = east
sc.doc.EarthAnchorPoint = earthpoint

Does that do what you need?

-Pascal

Sorry for the late reply and thanks for that @pascal :grinning: The issue i’m still seeing after I run that code is that the EarthAnchorPoint cannot be reset. You can see what I mean in the video I’ve attached where I try:

  1. Set the Earth Anchor Point via the API.
  2. Try changing it via EarthAnchorPoint command.
  3. Try changing it again via the API.

This is Rhino SR 8.8

Hi Bob - I cannot reproduce that here - it all just works as far as I can see - can you please run SystemInfo in Rhino and copy/paste the results here?

-Pascal

Sure here’s my info:

Rhino 8 SR8 2024-5-28 (Rhino 8, 8.8.24149.15001, Git hash:master @ 49367284ece6544c4e32d4d2fce81c37a1bd9dff)
License type: Commercial, build 2024-05-28
License details: Cloud Zoo

Windows 10 (10.0.19045 SR0.0) or greater (Physical RAM: 32GB)
.NET 7.0.13

Computer platform: LAPTOP - Plugged in [100% battery remaining]

Hybrid graphics configuration.
Primary display: Intel(R) UHD Graphics 630 (Intel) Memory: 1GB, Driver date: 11-13-2023 (M-D-Y).
> Integrated graphics device with 3 adapter port(s)
- Secondary monitor is laptop’s integrated screen or built-in port
- Windows Main Display attached to adapter port #1
- Secondary monitor attached to adapter port #2
Primary OpenGL: NVIDIA Quadro T2000 (NVidia) Memory: 4GB, Driver date: 6-1-2024 (M-D-Y). OpenGL Ver: 4.6.0 NVIDIA 555.99
> Integrated accelerated graphics device (shares primary device ports)
- Video pass-through to primary display device

OpenGL Settings
Safe mode: Off
Use accelerated hardware modes: On
Redraw scene when viewports are exposed: On
Graphics level being used: OpenGL 4.6 (primary GPU’s maximum)

Anti-alias mode: 4x
Mip Map Filtering: Linear
Anisotropic Filtering Mode: High

Vendor Name: NVIDIA Corporation
Render version: 4.6
Shading Language: 4.60 NVIDIA
Driver Date: 6-1-2024
Driver Version: 32.0.15.5599
Maximum Texture size: 32768 x 32768
Z-Buffer depth: 24 bits
Maximum Viewport size: 32768 x 32768
Total Video Memory: 4 GB

Rhino plugins that do not ship with Rhino
C:\Program Files\Chaos Group\V-Ray\V-Ray for Rhinoceros\V7\VRayForRhino.rhp “V-Ray for Rhino”
C:\ProgramData\McNeel\Rhinoceros\7.0\Plug-ins\Datasmith Rhino Exporter (d1fdc795-b334-4933-b680-088119cdc6bb)\DatasmithRhino7.rhp “Datasmith Exporter” 5.3.2.0
C:\Program Files\Common Files\McNeel\Rhinoceros\8.0\Plug-ins\TeDAsharp (ce983e9d-72de-4a79-8832-7c374e6e26de)\0.1.0.0\TeDaSharp_050.rhp “TeDAsharp” 0.1.0.0
c:\Program Files\Solemma\ClimateStudio\bin\ClimateStudioRhino8.rhp “ClimateStudioRhino8” 2.0.8868.25570
C:\Program Files\Enscape\Enscape.Rhino.Plugin-net48\Enscape.Rhino8.Plugin.dll “Enscape.Rhino8.Plugin” 0.0.24138.1238
C:\Users\bfrederick\AppData\Roaming\McNeel\Rhinoceros\packages\8.0\NVIDIADenoiser\0.4.3\NVIDIADenoiser.Windows.rhp “NVIDIADenoiser.Windows” 0.4.3.0
C:\ProgramData\McNeel\Rhinoceros\packages\8.0\LadybugTools\1.38.175\Ladybug.RH.Loader.rhp “Ladybug.RH.Loader” 1.38.175.0
C:\ProgramData\McNeel\Rhinoceros\packages\8.0\Pollination\1.46.0\Pollination.RH.Loader.rhp “Pollination.RH.Loader” 1.46.0.0

Rhino plugins that ship with Rhino
C:\Program Files\Rhino 8\Plug-ins\Commands.rhp “Commands” 8.8.24149.15001
C:\Program Files\Rhino 8\Plug-ins\rdk.rhp “Renderer Development Kit”
C:\Program Files\Rhino 8\Plug-ins\RhinoRenderCycles.rhp “Rhino Render” 8.8.24149.15001
C:\Program Files\Rhino 8\Plug-ins\rdk_etoui.rhp “RDK_EtoUI” 8.8.24149.15001
C:\Program Files\Rhino 8\Plug-ins\NamedSnapshots.rhp “Snapshots”
C:\Program Files\Rhino 8\Plug-ins\MeshCommands.rhp “MeshCommands” 8.8.24149.15001
C:\Program Files\Rhino 8\Plug-ins\IronPython\RhinoDLR_Python.rhp “IronPython” 8.8.24149.15001
C:\Program Files\Rhino 8\Plug-ins\RhinoCycles.rhp “RhinoCycles” 8.8.24149.15001
C:\Program Files\Rhino 8\Plug-ins\Toolbars\Toolbars.rhp “Toolbars” 8.8.24149.15001
C:\Program Files\Rhino 8\Plug-ins\3dxrhino.rhp “3Dconnexion 3D Mouse”
C:\Program Files\Rhino 8\Plug-ins\Displacement.rhp “Displacement”
C:\Program Files\Rhino 8\Plug-ins\SectionTools.rhp “SectionTools”

Hi Bob - I would try starting Rhino in Safe Mode - don’t let any of those third party plug-ins load, if asked, then test. Or disable all the ones that do not ship with Rhino in Options > PLug-ins page, then close and restart Rhino. Any different?

-Pascal

I tried that and the behavior is that the EarthAnchorPoint isn’t set when the API is used. I’ll try a re-install and see if anything changes. Thanks for the assistance.

I see… @eirannejad - do you have an idea what might be going on here? This code

import Rhino
import scriptcontext as sc

origin = Rhino.Geometry.Point3d(0.0,0.0,0.0)
north = Rhino.Geometry.Plane.WorldXY.YAxis
east = Rhino.Geometry.Plane.WorldXY.XAxis
earthpoint = sc.doc.EarthAnchorPoint

earthpoint.EarthBasepointLatitude = 47.65111166930954
earthpoint.EarthBasepointLongitude = -122.35530803623594
earthpoint.ModelBasepoint = origin
earthpoint.ModelNorth = north
earthpoint.ModelEast = east
sc.doc.EarthAnchorPoint = earthpoint

Seems to set the EarthAnchorPoint but somehow blocks any further adjustment, for this user, of the EarthAnchorPoint. I cannot repeat.
I see that is on 8.8 and I am on 8.9, I will check 8.8

-Pascal

Hi @bfrederick,

ModelBasepoint needs to read ModelBasePoint .

import Rhino
import scriptcontext as sc

origin = Rhino.Geometry.Point3d(0.0,0.0,0.0)
north = Rhino.Geometry.Plane.WorldXY.YAxis
east = Rhino.Geometry.Plane.WorldXY.XAxis
earthpoint = sc.doc.EarthAnchorPoint

earthpoint.EarthBasepointLatitude = 47.65111166930954
earthpoint.EarthBasepointLongitude = -122.35530803623594
earthpoint.ModelBasePoint = origin
earthpoint.ModelNorth = north
earthpoint.ModelEast = east
sc.doc.EarthAnchorPoint = earthpoint

– Dale

3 Likes

Wow glad that was a simple one!

I got a bit confused with the properties on EarthAnchorPoint since the case is different for EarthBasepointLatitude etc.

Thanks so much for catching that little oversight @dale and others.

1 Like